{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Returns a paginated list of domain registrations owned by the account.\n\nThis endpoint uses cursor-based pagination. Results are ordered by registration\ndate by default. To fetch the next page, pass the `cursor` value from the\n`result_info` object in the response as the `cursor` query parameter in\nyour next request. An empty `cursor` string indicates there are no more\npages.\n","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/registrar-api_identifier","description":"Cloudflare account ID."}},"required":["account_id"],"additionalProperties":false},"query":{"type":"object","properties":{"cursor":{"type":"string","maxLength":256,"description":"Opaque token from a previous response's `result_info.cursor`.\nPass this value to fetch the next page of results. Omit (or\npass an empty string) for the first page.\n"},"per_page":{"type":"integer","default":20,"maximum":50,"minimum":1,"description":"Number of items to return per page."},"direction":{"type":"string","default":"asc","enum":["asc","desc"],"description":"Sort direction for results. Defaults to ascending order.\n"},"sort_by":{"type":"string","default":"registry_created_at","enum":["registry_created_at","registry_expires_at","name"],"description":"Column to sort results by. Defaults to registration date (`registry_created_at`) when omitted."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"registrar-api_identifier":{"description":"Identifier.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]}}},"name":"List Registrations","id":"cloudflare.registrar-domain-registration-list","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"}},"maxRequests":1,"summary":false}}